import { defineStore } from 'pinia'
import { LocationQuery } from 'vue-router'

export type Page = {
  name: string
  fullPath: string
}

export const useKeepAlive = defineStore('keepAlive', () => {
  const savedPages = ref<Page[]>(
    JSON.parse(sessionStorage.getItem('savedPages') ?? '[]')
  )

  const savePage = ({ name, fullPath }: Page) => {
    const index = savedPages.value.findIndex(
      savedPage => savedPage.name === name
    )
    if (index > -1) {
      savedPages.value[index] = { name, fullPath }
    } else {
      savedPages.value.push({ name, fullPath })
    }
    sessionStorage.setItem('savedPages', JSON.stringify(savedPages.value))
  }

  return {
    savedPages,
    savePage,
  }
})
